# AdyBubbles

版本: 2.5.0-SNAPSHOT

## 指令

- `bubbles popup <NPC_ID> <TEXT> [LIFE]` - 用于弹出泡泡
- `bubbles clear <NPC_ID>` - 用于清除NPC的泡泡
- `bubbles-chat edit <NPC_ID>` - 用于编辑NPC顺序弹出的泡泡
- `bubbles-chat play <NPC_UUID>` - 用于播放NPC模式为ONCE弹出的泡泡

## 游戏内编辑NPC的对话泡泡 （推荐）

使用指令 bubbles-chat edit <NPC_ID> 并根据提示操作。

## 通过文件编辑NPC的对话泡泡 （不推荐）

本插件的对话泡泡以 Adyeshach 的 Trait 形式存在，详见 特征。

Adyeshach 的特征保存为 yaml 存在于 `~/Adyeshach/npc/traits` 下。

本插件的对话泡泡特征文件名为 bubbles-chat。

则需要编辑 `~/Adyeshach/npc/traits/bubbles-chat.yml` 内的内容。

Example:
```yaml
44cb049b-c385-4654-b52f-cdc5a09dfb66: # NPC UUID
  mode: loop # 弹出模式。
  items: # 对话内容队列，每一个元素为一条。
    - 你好
    - 再见
  period: 60 # 泡泡弹出间隔时间,可以是随机区间(单位:Tick) 可选参数，不填则跟随全局设置
  rest-delay: 0 # 泡泡弹出每轮后的等待时长(区间同理) 可选参数，不填则跟随全局设置
  # 模式：
  # loop 只要NPC在玩家视野内就循环队列播放
  # random 只要NPC在玩家视野内就一直随机队列播放
  # once 仅当指令触发时播放一次
```

## 全局配置

Example:

```yaml
offset: 0.5 # 泡泡的偏移量(向上)
line-height: 0.5 # 泡泡的间距(向上)
chat:
  period: 60 # 泡泡弹出间隔时间,可以是随机区间(单位:Tick)
  # period: [60, 100] # 三秒到五秒内随机时长
  rest-delay: 0 # 泡泡弹出每轮后的等待时长(区间同理)
  # rest-delay: [0, 100] # 泡泡弹出一轮后等待随机时长后再开启新一轮
  limit: 2 # 泡泡弹出数量限制(超出会自动清楚最早的泡泡)
  lifetime: 20 # 泡泡时间限制(超出会自动清除泡泡)
```

## 构建发行版本

发行版本用于正常使用, 不含 TabooLib 本体。

```
./gradlew build
```

## 构建开发版本

开发版本包含 TabooLib 本体, 用于开发者使用, 但不可运行。

```
./gradlew taboolibBuildApi -PDeleteCode
```

> 参数 -PDeleteCode 表示移除所有逻辑代码以减少体积。
