package io.github.beradq.adybubbles

import ink.ptms.adyeshach.core.Adyeshach
import ink.ptms.adyeshach.core.AdyeshachAPI
import taboolib.common.platform.Plugin
import taboolib.common.platform.function.info
import taboolib.common.platform.function.submit

//      ___       __      ____        __    __    __
//     /   | ____/ /_  __/ __ )__  __/ /_  / /_  / /__  _____
//    / /| |/ __  / / / / __  / / / / __ \/ __ \/ / _ \/ ___/
//   / ___ / /_/ / /_/ / /_/ / /_/ / /_/ / /_/ / /  __(__  )
//  /_/  |_\__,_/\__, /_____/\__,_/_.___/_.___/_/\___/____/
//              /____/
// 作者: 俗手


object AdyBubbles : Plugin() {
    const val versionName = "2.5.2"
    val adyApi: AdyeshachAPI = Adyeshach.api()

    val hologramHandler = adyApi.getHologramHandler()
    val entityFinder = adyApi.getEntityFinder()
    override fun onEnable() {
        info("AdyBubbles 已启用!")
    }

    override fun onActive() {
        submit(delay = 600L) {
            info("\u001B[36m" + "    ___       __      ____        __    __    __         " + "\u001B[0m")
            info("\u001B[36m" + "   /   | ____/ /_  __/ __ )__  __/ /_  / /_  / /__  _____" + "\u001B[0m")
            info("\u001B[36m" + "  / /| |/ __  / / / / __  / / / / __ \\/ __ \\/ / _ \\/ ___/" + "\u001B[0m")
            info("\u001B[36m" + " / ___ / /_/ / /_/ / /_/ / /_/ / /_/ / /_/ / /  __(__  ) " + "\u001B[0m")
            info("\u001B[36m" + "/_/  |_\\__,_/\\__, /_____/\\__,_/_.___/_.___/_/\\___/____/  " + "\u001B[0m")
            info("\u001B[36m" + "            /____/                                       " + "\u001B[0m")
            info("\u001B[34mAdyBubbles \u001B[33m$versionName\u001B[32m 已加载!\u001B[0m")
            this.cancel()
        }
    }
}
